/home/travis/build/boostorg/boost/boost/geometry/geometries/concepts/check.hpp File Reference

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::concept

## Functions

template<typename Geometry >
void | boost::geometry::concept::check ()
| Checks, in compile-time, the concept of any geometry.
template<typename Geometry1 , typename Geometry2 >
void | boost::geometry::concept::check_concepts_and_equal_dimensions ()
| Checks, in compile-time, the concept of two geometries, and if they have equal dimensions.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK